Name:           polyxmass-data
Version:        0.8.6
Release:        3%{?dist}
Summary:        Contains configuration files describing polymer chemistry

Group:          Applications/Engineering
License:        GPL
URL:            http://www.polyxmass.org/
Source0:        http://www.polyxmass.org/polyxmass-common-data-doc/downloads/0.8.6/polyxmass-data-0.8.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       polyxmass-bin >= %{version}

%description
%{name} is a platform-independent package that contains all
textual/graphical data required to run the GNU polyxmass software out of
the box.  Namely, GNU polyxmassdata contains configuration files describing
polymer chemistry for a number of polymer types commonly found in nature:
protein, dna, rna, saccharides. These polymer chemistry definitions are
examples, and should be carefully reviewed by the user of the GNU polyxmass
software, in order to make sure that they fulfill their task in the
best way. 

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_datadir}/polyxmass/*
%config %{_sysconfdir}/polyxmass/*
%{_mandir}/man7/*
%exclude %{_datadir}/doc/*

%changelog
* Wed Oct 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-3
- mark stuff in sysconfdir as config

* Mon Oct 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-2
- add dist

* Tue Sep 06 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.6-1
- Initial Release
